
# Table of Contents
<!-- vim-markdown-toc GFM -->

* [Overview](#overview)
* [Requirements](#requirements)
* [Alembic Database Migrations / Upgrades](#alembic-database-migrations--upgrades)
* [Running the Server](#running-the-server)

<!-- vim-markdown-toc -->

# Overview
This project utilizes FastAPI, SQLAlchemy, and Alembic for creating a basic project. 
Based on the [fastapi docs](https://fastapi.tiangolo.com/tutorial/sql-databases/)

* http://127.0.0.1:8000/docs


# Requirements
* [FastAPI](https://fastapi.tiangolo.com/)
* [alembic](https://alembic.sqlalchemy.org/en/latest/)
* [SQLAlchemy](https://www.sqlalchemy.org/)
* [uvicorn](https://www.uvicorn.org/)



# Alembic Database Migrations / Upgrades

```bash
alembic upgrade head                            # Upgrade/create database
alembic revision --autogenerate -m "My comment" # Commit/Create new migration script for database changes
```

# Running the Server
```bash
uvicorn app.main:app --reload
```
